.resume-container {
  padding: 2rem;
}

.resume-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.resume-header h1 {
  margin: 0;
}

.section {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.left-column,
.right-column {
  width: 49%;
}

.section-heading {
  display: flex;
  align-items: center;
  font-size: 1.5em;
  margin-bottom: 1.25rem;
}

.section-heading i {
  margin-right: 10px;
  color: #007bff;
}

.working-skills .skill-box,
.education .education-box {
  background-color: #e6e6fa;
  padding: 1rem;
  border-radius: 10px;
  margin-bottom: 1.25rem;
  height: 6.25rem;
  box-shadow: 5px 5px 1px rgb(237, 237, 244);
  align-items: center;
}

.working-skills .skill-box:nth-child(odd),
.education .education-box:nth-child(even) {
  background-color: #fff0f5;
}

.working-skills .skill-box p,
.education .education-box p {
  margin: 0.3125rem 0;
}

/* progress bar */
.portfolio-section {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.skills,
.knowledges {
  width: 45%;
  margin-bottom: 1.25rem;
}

.skills h2,
.knowledges h2 {
  font-size: 1.5rem;
  color: #333;
  margin-bottom: 1.25rem;
}

.skill {
  margin-bottom: 1rem;
  transition: transform 0.3s;
}

.skill-name {
  font-size: 1.125rem;
  color: #555;
  display: flex;
  justify-content: space-between;
}

.progress-bar {
  height: 0.5rem;
  border-radius: 4px;
  background-color: #e0e0e0;
  position: relative;
  margin-top: 0.3125rem;
  overflow: hidden;
}

.progress-bar span {
  display: block;
  height: 100%;
  border-radius: 4px;
  position: absolute;
  top: 0;
  left: 0;
  transition: width 1.5s ease-in-out;
}

.progress-bar.web-development span {
  width: 0;
  background-color: #ff6b6b;
}

.progress-bar.web-design span {
  width: 0;
  background-color: #a29bfe;
}

.progress-bar.full-stack span {
  width: 0;
  background-color: #74b9ff;
}

.progress-bar.app-development span {
  width: 0;
  background-color: #fd79a8;
}

.skill:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.knowledges .tag {
  display: inline-block;
  background-color: #e0e0e0;
  border-radius: 12px;
  padding: 0.625rem 1rem;
  font-size: 1rem;
  color: #555;
  margin: 0.3125rem;
  transition: transform 0.3s, background-color 0.3s, color 0.3s;
}

.knowledges .tag:hover {
  transform: scale(1.1);
  background-color: #d1d1d1;
  color: #333;
  cursor: pointer;
}

/* Media Query for Mobile View */
@media (max-width: 48rem) {
  .left-container {
    display: none;
  }

  .section {
    flex-direction: column;
  }

  .left-column,
  .right-column {
    width: 100%;
  }

  .skills,
  .knowledges {
    width: 100%;
  }
}
